using Godot;
using Newlon.Components.GUI.Seedpackets;
using Newlon.Components.Level;
using System;

public partial class CostVeil : ColorRect
{
	private Seedpacket packet;
	public override void _Ready()
	{
		packet = GetParent<Seedpacket>();
	}

	// Called every frame. 'delta' is the elapsed time since the previous frame.
	public override void _Process(double delta)
	{
		//Visible = RuntimeLevelData.Instance.SunCount < packet.GetResource().Cost;

		Visible = packet.disablePacket;
	}
}
